package ru.ulstu;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.event.EventListener;
import ru.ulstu.configuration.ApplicationProperties;

@SpringBootApplication
public class ExampleWebApplication {
    private final ApplicationProperties applicationProperties;

    public ExampleWebApplication(ApplicationProperties applicationProperties) {
        this.applicationProperties = applicationProperties;
    }

    public static void main(String[] args) {
        SpringApplication.run(ExampleWebApplication.class, args);
    }

    @EventListener(ApplicationReadyEvent.class)
    public void doSomethingAfterStartup() {
        System.out.println(applicationProperties.isCheckRun());
        if (applicationProperties.isCheckRun()) {
            System.exit(0);
        }
    }

}
